Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations
Class InvitationDetails

    java.lang.Object
      com.bea.netuix.application.communities.invitations.InvitationDetails

All Implemented Interfaces
  Serializable

    public class InvitationDetails

extends Object
implements Serializable

Represents information about a Communities invitation operation, including the community that the invitation targets, a small payload that is intended for use as an application specific reference to the invitation action, and several parameters that control the settings of invitation options.

See Also
  Serialized Form

Constructor Summary
`InvitationDetails(CommunityDefinitionId communityId, String fromWlsUser, String invitationPayload, Date expirationDate, boolean selfDestructFlag, InvitationValidationTextGenerator validationTextGenerator)`
`InvitationDetails(CommunityDefinitionId communityId, String fromWlsUser, String invitationPayload, Timestamp expirationDate, boolean selfDestructFlag, InvitationValidationTextGenerator validationTextGenerator)`

Method Summary
`boolean` | `equals(Object o)`
`Object` | `getAttribute(String key)`
`CommunityDefinitionId` | `getCommunityId()`
`Timestamp` | `getExpirationDate()`
`String` | `getFromWlsUser()`
`String` | `getInvitationPayload()`
`boolean` | `getSelfDestructFlag()`
`InvitationValidationTextGenerator` | `getValidationTextGenerator()`
`int` | `hashCode()`
`void` | `setAttribute(String key, Object value)`
`void` | `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvitationDetails

    public InvitationDetails(CommunityDefinitionId communityId,
                             String fromWlsUser,
                             String invitationPayload,
                             Date expirationDate,
                             boolean selfDestructFlag,
                             InvitationValidationTextGenerator validationTextGenerator)

### InvitationDetails

    public InvitationDetails(CommunityDefinitionId communityId,
                             String fromWlsUser,
                             String invitationPayload,
                             Timestamp expirationDate,
                             boolean selfDestructFlag,
                             InvitationValidationTextGenerator validationTextGenerator)

Method Detail

### getCommunityId

    public CommunityDefinitionId getCommunityId()

### getFromWlsUser

    public String getFromWlsUser()

### getInvitationPayload

    public String getInvitationPayload()

### getExpirationDate

    public Timestamp getExpirationDate()

### getSelfDestructFlag

    public boolean getSelfDestructFlag()

### setAttribute

    public void setAttribute(String key,
                             Object value)

### getAttribute

    public Object getAttribute(String key)

### getValidationTextGenerator

    public InvitationValidationTextGenerator getValidationTextGenerator()

### validate

    public void validate()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved